package cn.pluss.platform.mapper;

import cn.pluss.platform.entity.Dict;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface DictMapper extends BaseMapper<Dict> {

    List<Dict> getDictByCode(@Param("codeList") List<String> codeList);

    Page<Dict> selectDictPage(Page<Dict> page, Dict dict);

    Dict selectMaxSortElem(@Param("code") String code);

    Dict selectByNameAndPCode(@Param("code") String code, @Param("name") String name);
}
